Author: Luca Boccassi <bluca@debian.org>
Forwarded: https://gitlab.com/openconnect/vpnc-scripts/-/merge_requests/47
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=947820
Description: vpnc-script-sshd: use ip link peer name syntax
 iproute2 since at least v4.20 supports specifying local and remote
 peer names. Use that instead of guessing. Support older iproute2
 versions by falling back to guessing.
--- a/vpnc-script-sshd
+++ b/vpnc-script-sshd
@@ -179,10 +179,13 @@
 	exit 1
     fi
 
-    $IP link add dev $TUNDEV-vpnssh%d type veth
-    # XXX: Assume vpnssh0 and vpnssh1; ip doesn't tell us!
     LOCALDEV=$TUNDEV-vpnssh0
     export REMOTEDEV=$TUNDEV-vpnssh1
+    $IP link add name $LOCALDEV type veth peer name $REMOTEDEV
+    if [ $? -ne 0 ]; then
+        # Fallback for older iproute2: assume vpnssh0 and vpnssh1; ip doesn't tell us!
+        $IP link add dev $TUNDEV-vpnssh%d type veth
+    fi
     
     $IP netns exec $NETNSNAME $0 $@ &
     CHILDPID=$!
